# -*- mode: rpm-spec; coding: utf-8; -*-
%define dist Class-MakeMethods
Name: perl-%dist
Version: 1.01
Release: alt1

Summary: Generate common types of methods
Summary(ru_RU.UTF-8): Генерация стандартных методов
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.bz2

BuildArch: noarch

BuildRequires: perl-devel perl(Module/Build.pm)
BuildRequires: perl(Attribute/Handlers.pm)
%add_findreq_skiplist */Class/MakeMethods/Composite/Array.pm
%add_findreq_skiplist */Class/MakeMethods/Composite/Global.pm

%description
The Class::MakeMethods framework allows Perl class developers to
quickly define common types of methods. When a module uses
Class::MakeMethods or one of its subclasses, it can select from a
variety of supported method types, and specify a name for each method
desired. The methods are dynamically generated and installed in the
calling package.

Construction of the individual methods is handled by subclasses. This
delegation approach allows for a wide variety of method-generation
techniques to be supported, each by a different subclass. Subclasses
can also be added to provide support for new types of methods.

Over a dozen subclasses are available, including implementations of a
variety of different method-generation techniques. Each subclass
generates several types of methods, with some supporting their own
open-eneded extension syntax, for hundreds of possible combinations of
method types.

%description -l ru_RU.UTF-8
Среда Class::MakeMethods позволяет разработчикам классов Perl быстро
создавать методы стандартных типов. Если модуль использует
Class::MakeMethods или один из его потомков, он может выбрать из множества
поддерживаемых типов методов требуемый, и указать имя нового метода.
Все такие методы будут автоматически сгенерированы и помещены в
вызывающий пакет.

Создание отдельных методов управляется из подклассов. Такой подход
позволяет поддерживать широкий спектр техник создания методов, по
одной на каждый из подклассов. Подклассы могут также предоставлять
новые типы методов.

В настоящий момент имеется уже более дюжины подклассов, реализующих
различные техники создания и поддерживающих различные типы методов.
Некоторые из этих подклассов поддерживают свои собственные синтаксисы
расширений, что позволяет создавать сотни возможных комбинаций типов
методов.
%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README CHANGES
%perl_vendor_privlib/Class
%perl_vendor_man3dir/Class*.*

%changelog
* Thu Aug 25 2005 Alexey Morozov <morozov@altlinux.org> 1.01-alt1
- Initial build for ALT Linux


